﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Manage agendas
            </h1>
        </div>
        <div class="actions">

        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>

    <div style="padding-right: 10px;">
        <div class="one-half place-left">
            <div class="half-size place-left">
                <div data-format="mm/dd/yyyy" data-effect="fade">
                    <label>Select date</label>
                    <input ng-model="Model.Date" placeholder="mm/dd/yyyy"  kendo-date-picker k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
            </div>

        </div>

        <div class="clearfix"></div>
    </div>


    <div class="clearfix"></div>
    <div>
        <input class="default button place-right" type="submit" value="Submit" ng-click="submit()">
        <div class="clearfix"></div>
        @*<br />
            <input class="default button place-right" type="submit" value="Clear filter(s)" ng-click="clearFilters()">
            <div class="clearfix"></div>*@
    </div>

    <div class="clearfix"></div>
    <br />

    <div>
        <div class="place-right">
            <input class="button primary place-right margin-top20 margin-left5" style="width: 90px;" value="Start all" ng-click="startAll()">
            <input class="button primary place-right  margin-top20" value="Stop all" style="width: 90px" ng-click="stopAll()">
        </div>
    </div>

    <div class="clearfix"></div>
    <br />


    <kendo-grid id="BalanceReportGrid" options="weeklyAgendaGridOptions"></kendo-grid>

    <div class="clearfix"></div>
</div>

<div ng-show="Agenda.ShowEdit" ng-class="{'active':Agenda.ShowEdit}" class="jb-confirm">
    <div>
        <div style="background-color: royalblue">
            <div>
                <h3>Change agenda</h3>

                <label for="agendaText" style="color: white">Agenda</label>

                <div class="input-control text" data-role="input-control">
                    <input ng-model="Agenda.Text" type="text" id="agendaText" />
                </div>

            </div>

            <button ng-click="saveAgenda()" ng-disabled="" class="large bg-white fg-darkRed place-right yes btn-event">Save</button>
            <button ng-click="cancelEditAgenda()" class="large bg-transparent fg-white place-right margin-right20 no">Cancel</button>
        </div>
    </div>
</div>